# -*-fundamental-*-
# K&R version

C = cc
OPT = -O4

all2: Unetd

# This crude shell script sets $C and $OPT for you and then re-invokes make
# to do the job.  If you want, set $C and $OPT yourself and make all2.
whatc: setvars.sh
	chmod 700 ./setvars.sh
	./setvars.sh

.c.o: alibi.h
	ansi2knr $< temp.c
	$C $(OPT) -o $@ -c temp.c
	rm temp.c

OBJS = Unetd.o portnums.o control.o netutil.o lclient.o lcommand.o ldaemon.o netchang.o lnear.o signals.o strutil.o query.o cache.o classify.o oids.o resource.o

Unetd: $(OBJS) alibi.h
	$C $(OPT) -o Unetd $(OBJS) -lm $(NONSTDLIBS)
	strip Unetd
	chmod 700 Unetd

clean:
	rm -f *.o Unetd setvars delme
